#include "Box.h"

Box::Box(Point *p1, Point *p2)
{
  minx = p1->X;
  miny = p1->Y;
  minz = p1->Z;

  maxx = p2->X;
  maxy = p2->Y;
  maxz = p2->Z;
}

Box::Box(float x0, float y0, float z0, float x1, float y1, float z1)
{
  minx = x0;
  miny = y0;
  minz = z0;

  maxx = x1;
  maxy = y1;
  maxz = z1;
}

void Box::copy(float x0, float y0, float z0, float x1, float y1, float z1)
{
  minx = x0;
  miny = y0;
  minz = z0;

  maxx = x1;
  maxy = y1;
  maxz = z1;
}

void Box::print()
{
  printf("%f   %f   %f   %f   %f   %f\n", minx, miny, minz, maxx, maxy, maxz);
}
