#include "Interval.h"

/* ------------------------------------------------------------------------ */
Interval::Interval(float x0, float x1)
{
  xi = x0;
  xf = x1;
}

/* ------------------------------------------------------------------------ */
void Interval::copy(float x0, float x1)
{
  xi = x0;
  xf = x1;
}

/* ------------------------------------------------------------------------ */
int Interval::merge(Interval *v)
{
  if(xi <= v->xi && xf >= v->xf)
    return 1;

  if(xi > v->xf || xf < v->xi)
    return 0;
  
  if(xi > v->xi)
    xi = v->xi;

  if(xf < v->xf)
    xf = v->xf;
  return 1;
}
