#include "Defs.h"
#include "List.h"

#ifndef INTERVAL_H_INCLUDED
#define INTERVAL_H_INCLUDED

class Interval : public ListItem
{
public:
  float xi, xf;

  Interval(float x0 = 0.0f, float x1 = 0.0f);
  ~Interval() {
    Next = NULL;
    Prev = NULL;
  }
  void copy(float x0, float x1);
  int merge(Interval *v);
};

#endif
