#include "RGB.h"

RGB::RGB(float r, float g, float b)
{
  Red = r;
  Green = g;
  Blue = b;
}

void RGB::copy(float r, float g, float b)
{
  Red = r;
  Green = g;
  Blue = b;
}

RGB::RGB(RGB *rgb)
{
  if(rgb != NULL)
  {
    Red = rgb->Red;
    Green = rgb->Green;
    Blue = rgb->Blue;
  }
  else
  {
    Red = 0.0f;
    Green = 0.0f;
    Blue = 0.0f;
  }
}

void RGB::print()
{
  printf("%f   %f   %f\n", Red, Green, Blue);
}

void RGB::add(RGB *r)
{
  Red += r->Red;
  Green += r->Green;
  Blue += r->Blue;
}

void RGB::copy(RGB *r)
{
  if(r != NULL)
  {
    Red = r->Red;
    Green = r->Green;
    Blue = r->Blue;
  }
  else
  {
    Red = 0.0f;
    Green = 0.0f;
    Blue = 0.0f;
  }
}

void RGB::scale(float f)
{
  Red *= f;
  Green *= f;
  Blue *= f;
}


