#include "Edge.h"

/* ------------------------------------------------------------------------ */
Edge::Edge(Face *f0, Face *f1)
{
  Faces[0] = f0;
  Faces[1] = f1;
}

/* ------------------------------------------------------------------------ */
int Edge::near(Point *p, float dist)
{
  float f1, f2, faux;

  f1 = Faces[0]->dist(p);
  f2 = Faces[1]->dist(p);
  faux = (float)sqrt(f1*f1 + f2*f2);

  if(fabs(faux) <= fabs(dist))
    return 1;
  return 0;
}
