#include "Defs.h"
#include "Point.h"
#include "Ray.h"

#ifndef FACET_H_INCLUDED
#define FACET_H_INCLUDED

class Face
{
public:
  Point *Points[4];
  float minx, miny, minz, maxx, maxy, maxz;
  float A, B, C, D;

  Face(Point *p0, Point *p1, Point *p2, Point *p3);
  int getIntersection(Ray *ray, float &t);
  int near(Point *p, float dist);
  float dist(Point *p);
};

#endif
