#include <stdio.h>
#include "RGB.h"

#ifndef LIST_H_INCLUDED
#define LIST_H_INCLUDED

class List;

class ListItem
{
public:
  ListItem *Prev, *Next;
  List *InList;

  virtual ~ListItem() {
    Prev = NULL;
    Next = NULL;
    InList = NULL;
  }
};


class RGBItem : public ListItem
{
public:
  float min, max;
  RGB *rgb;

  RGBItem();
  ~RGBItem();
};

class AlphaItem : public ListItem
{
public:
  float min, max, alpha;

  AlphaItem();
};

class List 
{
public:
  List();
  ~List();
  void addToHead(ListItem *qi);
  void addToTail(ListItem *qi);
  void remove(ListItem *qi);
  void clear();

  ListItem *Head, *Tail;
};

#endif





































































