#include "Defs.h"
#include "Point.h"

#ifndef RAY_H_INCLUDED
#define RAY_H_INCLUDED

class Ray
{
public:
  float X0, Dx;
  float Y0, Dy;
  float Z0, Dz;

  Ray(float x0 = 0.0f, float dx = 0.0f, float y0 = 0.0f, 
      float dy = 0.0f, float z0 = 0.0f, float dz = 0.0f);
  Ray(Point *p0, Point *p1, int n);
  void copy(float x0, float dx, float y0, float dy, float z0, float dz);
  void copy(Point *p0, Point *p1, int n);
  void getPoint(float t, Point *p);
};

#endif
