#include "Defs.h"
#include "Ray.h"
#include "Point.h"

#ifndef SPHERE_H_INCLUDED
#define SPHERE_H_INCLUDED

class Sphere
{
public:
  Point Center;
  float Radius;

  Sphere();
  Sphere(Point *c, float r);
  ~Sphere();
  int getExtremeIntersections(Ray *ray, float &first, float &last);
  void print();
  void getPointNormal(Point *p, Point *n);
};

#endif
