#include "Point.h"
#include "Rotation.h"

#ifndef TRANSFORM_H_INCLUDED
#define TRANSFORM_H_INCLUDED

class Transform
{
public:
  float m[4][4];

  Transform();
  Transform(Transform *t);
  Transform(Rotation *r, Point *p);

  void copy(Transform *t);
  void copy(Rotation *r, Point *p);
  void preMult(Transform *t);
  void postMult(Transform *t);
  void preRot(Rotation *r);
  void postRot(Rotation *r);
  void invert();
};

#endif
